Package org.spongepowered.asm.launch.platform

## Class MixinContainer

- java.lang.Object
- - org.spongepowered.asm.launch.platform.MixinContainer

    public class MixinContainer
    extends java.lang.Object

A collection of `IMixinPlatformAgent` platform agents) for a particular container

### Constructor Summary

Constructors
`MixinContainer​(MixinPlatformManager manager, IContainerHandle handle)`

### Method Summary

All Methods Instance Methods Concrete Methods
`IContainerHandle` `getDescriptor()`
`java.util.Collection<java.lang.String>` `getPhaseProviders()` Get phase provider names from all agents in this container
`void` `initPrimaryContainer()` If this container is the primary container, initialise agents in this container as primary
`void` `inject()` Notify all agents to inject into classLoader
`void` `prepare()` Prepare agents in this container

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MixinContainer

    public MixinContainer​(MixinPlatformManager manager,
                          IContainerHandle handle)

### Method Detail

#### getDescriptor

    public IContainerHandle getDescriptor()

#### getPhaseProviders

    public java.util.Collection<java.lang.String> getPhaseProviders()

Get phase provider names from all agents in this container

#### prepare

    public void prepare()

Prepare agents in this container

#### initPrimaryContainer

    public void initPrimaryContainer()

If this container is the primary container, initialise agents in this container as primary

#### inject

    public void inject()

Notify all agents to inject into classLoader